> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /flightradar24/flights/search

> Find live aircraft currently flying within a geographic area (bounding box)

**Price:** 1 credit



## OpenAPI

````yaml /openapi/developer-data.json post /api/flightradar24/flights/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/flightradar24/flights/search:
    post:
      tags:
        - /flightradar24
      summary: /flightradar24/flights/search
      description: >-
        Find live aircraft currently flying within a geographic area (bounding
        box)


        **Price:** 1 credit
      operationId: __api_flightradar24_flights_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Flightradar24FlightsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Flightradar24LiveFlight'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Flightradar24FlightsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        north:
          type: number
          maximum: 90
          minimum: -90
        south:
          type: number
          maximum: 90
          minimum: -90
        west:
          type: number
          maximum: 180
          minimum: -180
        east:
          type: number
          maximum: 180
          minimum: -180
        adsb:
          type: boolean
          default: true
        mlat:
          type: boolean
          default: true
        flarm:
          type: boolean
          default: true
        faa:
          type: boolean
          default: true
        satellite:
          type: boolean
          default: true
        estimated:
          type: boolean
          default: true
        air:
          type: boolean
          default: true
        ground:
          type: boolean
          default: true
        vehicles:
          type: boolean
          default: true
        gliders:
          type: boolean
          default: true
      type: object
      required:
        - count
        - north
        - south
        - west
        - east
    Flightradar24LiveFlight:
      properties:
        '@type':
          type: string
          default: Flightradar24LiveFlight
        id:
          type: string
        hex:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        track:
          anyOf:
            - type: integer
            - type: 'null'
        altitude:
          anyOf:
            - type: integer
            - type: 'null'
        ground_speed:
          anyOf:
            - type: integer
            - type: 'null'
        squawk:
          anyOf:
            - type: string
            - type: 'null'
        radar:
          anyOf:
            - type: string
            - type: 'null'
        aircraft_type:
          anyOf:
            - type: string
            - type: 'null'
        registration:
          anyOf:
            - type: string
            - type: 'null'
        timestamp:
          anyOf:
            - type: integer
            - type: 'null'
        origin_iata:
          anyOf:
            - type: string
            - type: 'null'
        destination_iata:
          anyOf:
            - type: string
            - type: 'null'
        flight_number:
          anyOf:
            - type: string
            - type: 'null'
        is_on_ground:
          anyOf:
            - type: boolean
            - type: 'null'
        vertical_speed:
          anyOf:
            - type: integer
            - type: 'null'
        callsign:
          anyOf:
            - type: string
            - type: 'null'
        airline_icao:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````